summaryrefslogtreecommitdiff
path: root/debian/patches/repos-templates
diff options
context:
space:
mode:
authorPeter Samuelson <peter@p12n.org>2006-06-15 17:38:45 +0000
committerPeter Samuelson <peter@p12n.org>2006-06-15 17:38:45 +0000
commitd85df9fcd2222a5b45e50a6dc89a5771b348ccdb (patch)
treeb69b21322a41d7cdbf8329de98e67372813d43e0 /debian/patches/repos-templates
parent5d4b20460b06ec64613376789aeb886fd69fc285 (diff)
Switch to dpatch.
dpatch and quilt each have advantages and disadvantages - it was kind of a hard choice between them, and I'm still open to switching to quilt. cdbs-simple-patchsys, OTOH, has _no_ advantages that I can think of.
Diffstat (limited to 'debian/patches/repos-templates')
-rw-r--r--debian/patches/repos-templates54
1 files changed, 54 insertions, 0 deletions
diff --git a/debian/patches/repos-templates b/debian/patches/repos-templates
new file mode 100644
index 0000000..1082f67
--- /dev/null
+++ b/debian/patches/repos-templates
@@ -0,0 +1,54 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+##
+## repos-templates by <dwhedon@debian.org>
+
+@DPATCH@
+--- a/subversion/libsvn_repos/repos.c
++++ b/subversion/libsvn_repos/repos.c
+@@ -537,7 +537,7 @@
+ APR_EOL_STR
+ "# the commit on the files and directories being modified."
+ APR_EOL_STR
+- "commit-access-control.pl \"$REPOS\" \"$TXN\" commit-access-control.cfg "
++ "/usr/share/subversion/hook-scripts/commit-access-control.pl \"$REPOS\" \"$TXN\" commit-access-control.cfg "
+ "|| exit 1"
+ APR_EOL_STR
+ APR_EOL_STR
+@@ -1048,9 +1048,7 @@
+ "REV=\"$2\""
+ APR_EOL_STR
+ APR_EOL_STR
+- "commit-email.pl \"$REPOS\" \"$REV\" commit-watchers@example.org"
+- APR_EOL_STR
+- "log-commit.py --repository \"$REPOS\" --revision \"$REV\""
++ "/usr/share/subversion/hook-scripts/commit-email.pl \"$REPOS\" \"$REV\" commit-watchers@example.org"
+ APR_EOL_STR;
+
+ SVN_ERR_W (svn_io_file_create (this_path, contents, pool),
+@@ -1156,7 +1154,7 @@
+ APR_EOL_STR
+ "# Send email to interested parties, let them know a lock was created:"
+ APR_EOL_STR
+- "mailer.py lock \"$REPOS\" \"$USER\" /path/to/mailer.conf"
++ "/usr/share/subversion/hook-scripts/mailer.py lock \"$REPOS\" \"$USER\" /path/to/mailer.conf"
+ APR_EOL_STR;
+
+ SVN_ERR_W (svn_io_file_create (this_path, contents, pool),
+@@ -1258,7 +1256,7 @@
+ APR_EOL_STR
+ "# Send email to interested parties, let them know a lock was removed:"
+ APR_EOL_STR
+- "mailer.py unlock \"$REPOS\" \"$USER\" /path/to/mailer.conf"
++ "/usr/share/subversion/hook-scripts/mailer.py unlock \"$REPOS\" \"$USER\" /path/to/mailer.conf"
+ APR_EOL_STR;
+
+ SVN_ERR_W (svn_io_file_create (this_path, contents, pool),
+@@ -1369,7 +1367,7 @@
+ "ACTION=\"$5\""
+ APR_EOL_STR
+ APR_EOL_STR
+- "propchange-email.pl \"$REPOS\" \"$REV\" \"$USER\" \"$PROPNAME\" "
++ "/usr/share/subversion/hook-scripts/propchange-email.pl \"$REPOS\" \"$REV\" \"$USER\" \"$PROPNAME\" "
+ "watchers@example.org"
+ APR_EOL_STR;
+